# Interface SyWindowReadableType

All Superinterfaces:
  `SyBoundedReadableType<SySpaceViewportType>, SySizedReadableType<SySpaceViewportType>`

All Known Subinterfaces:
  `SyWindowType`

public interface SyWindowReadableType extends SyBoundedReadableType<SySpaceViewportType>
The type of readable windows.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.jattribute.core.AttributeReadableType<SyWindowCloseBehaviour>`
  `closeButtonBehaviour()`
  `com.io7m.jattribute.core.AttributeReadableType<SyVisibility>`
  `closeButtonVisibility()`
  `com.io7m.jattribute.core.AttributeReadableType<Boolean>`
  `decorated()`
  `SyWindowDeletionPolicy`
  `deletionPolicy()`
  `SyWindowID`
  `id()`
  `SyWindowLayerID`
  `layer()`
  `com.io7m.jattribute.core.AttributeReadableType<SyVisibility>`
  `maximizeButtonVisibility()`
  `com.io7m.jattribute.core.AttributeReadableType<Boolean>`
  `maximized()`
  `com.io7m.jattribute.core.AttributeReadableType<SyVisibility>`
  `menuButtonVisibility()`
  `com.io7m.jattribute.core.AttributeReadableType<Integer>`
  `positionSnapping()`
  An attribute that, when set to a non-zero value, specifies a snapping value for position values.
  `com.io7m.jorchard.core.JOTreeNodeReadableType<SyComponentReadableType>`
  `rootNodeReadable()`
  `com.io7m.jattribute.core.AttributeReadableType<Integer>`
  `sizeSnapping()`
  An attribute that, when set to a non-zero value, specifies a snapping value for size values.
  `com.io7m.jattribute.core.AttributeReadableType<SyText>`
  `title()`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea, position`

  ### Methods inherited from interface SySizedReadableType

  `size, sizeUpperLimit`

- ## Method Details

  - ### id

    SyWindowID id()
    Returns:
      The window ID

  - ### rootNodeReadable

    com.io7m.jorchard.core.JOTreeNodeReadableType<SyComponentReadableType> rootNodeReadable()
    Returns:
      The root window component

  - ### maximized

    com.io7m.jattribute.core.AttributeReadableType<Boolean> maximized()
    Returns:
      An attribute indicating if the window is maximized

  - ### decorated

    com.io7m.jattribute.core.AttributeReadableType<Boolean> decorated()
    Returns:
      An attribute indicating if the window is decorated

  - ### title

    com.io7m.jattribute.core.AttributeReadableType<SyText> title()
    Returns:
      An attribute representing the window title

  - ### positionSnapping

    com.io7m.jattribute.core.AttributeReadableType<Integer> positionSnapping()
    An attribute that, when set to a non-zero value, specifies a snapping value for position values. For a non-zero snapping value `n`, the resulting position values will be `k * n` for some non-negative `k`.
    Returns:
      The position snapping value

  - ### sizeSnapping

    com.io7m.jattribute.core.AttributeReadableType<Integer> sizeSnapping()
    An attribute that, when set to a non-zero value, specifies a snapping value for size values. For a non-zero snapping value `n`, the resulting size values will be `k * n` for some non-negative `k`.
    Returns:
      The size snapping value

  - ### closeButtonBehaviour

    com.io7m.jattribute.core.AttributeReadableType<SyWindowCloseBehaviour> closeButtonBehaviour()
    Returns:
      A property denoting the window close button behaviour

  - ### closeButtonVisibility

    com.io7m.jattribute.core.AttributeReadableType<SyVisibility> closeButtonVisibility()
    Returns:
      An attribute denoting the visibility of the window's close button

  - ### menuButtonVisibility

    com.io7m.jattribute.core.AttributeReadableType<SyVisibility> menuButtonVisibility()
    Returns:
      An attribute denoting the visibility of the window's menu button

  - ### maximizeButtonVisibility

    com.io7m.jattribute.core.AttributeReadableType<SyVisibility> maximizeButtonVisibility()
    Returns:
      An attribute denoting the visibility of the window's maximize button

  - ### layer

    SyWindowLayerID layer()
    Returns:
      The window layer

  - ### deletionPolicy

    SyWindowDeletionPolicy deletionPolicy()
    Returns:
      The window deletion policy